mod game;
mod labled_switch;
mod ui;

use crate::ui::menu::MenuScene;

use gtk::{gio, glib, Application};
use gtk::{prelude::*, ApplicationWindow};

const APP_ID: &str = "org.foxarmy.learn-hieroglyph";

fn main() -> glib::ExitCode {
    gio::resources_register_include!("compiled.gresource").expect("Cannot include gresources");

    let app: Application = Application::builder().application_id(APP_ID).build();

    app.connect_activate(test_ui);

    app.run()
}

fn test_ui(app: &Application) {
    let window: ApplicationWindow = MenuScene::new(app).into();

    window.present();
}
